// project created on 28/01/2005 at 0:19
using System;
using System.IO;

class MainClass
{
	public static void Main(string[] args)
	{
		if (args.Length < 1) {
			Console.WriteLine("ERROR: Cal especificar fitxer a transformar");
			return;
		}
		
		// Cultura EEUU, aixi imprimim decimals amb punt i ho pot entendre gnu-plot
		// Executar a la shell:
		//   export LANG=en_US
		Thread.CurrentThread.CurrentCulture = new CultureInfo( "en-US", false );
		
		StreamReader input = File.OpenText(args[0]);
		FileStream outputFile = new FileStream("Transformed_" + args[0], FileMode.OpenOrCreate, FileAccess.Write);
		StreamWriter output = new StreamWriter(outputFile);
		
		string line = input.ReadLine();
		double total = 0;
		while (line != null) {
			double n = Convert.ToDouble(line);
			output.WriteLine(total + " " + n);
			total += n;
			line = input.ReadLine();
		}
	}
}